## neurodebian 0.43.0

=== Makefile ===
#WWW_UPLOAD_URI = neurodebian@neurodebian.ovgu.de:/home/neurodebian/www
WWW_UPLOAD_URI = ../../www
WWW_DIR = build/html/

WWW_UPLOAD_URI_STATIC=$(WWW_UPLOAD_URI)/_static

BIGMESS_OPTS = -c neurodebian.cfg
BIGMESS_CMD = PYTHONPATH=.:3rd/bigmess:$(PYTHONPATH) 3rd/bigmess/bin/bigmess
BIGMESS = $(BIGMESS_CMD) $(BIGMESS_OPTS)

# Lengthy one due to updatedb
all: updatedb upload-website mirmon
# Quick one -- just rebuilds html if new changes and adjusts the status of the mirrors
refresh: upload-website-stamp mirmon

website-build-depends:
	: # Python modules
	sudo apt-get install python-sphinx python-argparse python-xdg python-debian python-html5lib
	: # JavaScripts
	sudo apt-get install libjs-jquery libjs-jquery-easing libjs-jquery-mousewheel libjs-jquery-fancybox


pics:
	$(MAKE) -C artwork


html: pics source
	rsync -rvlhpt sphinx/ build/src
	cd artwork;	cp button_w200.png logo_tuned/fmri_w200.png *-logo_h50.png ../build/src/_static; cd ..
	cp 3rd/jquery.livetwitter/jquery.livetwitter.min.js build/src/_static
	cp neurodebian.cfg build/src/_static
	cd build/src && $(MAKE) html BUILDDIR=$(CURDIR)/build 2>&1
	ln -fs /usr/share/javascript build/html/
	mv $(WWW_DIR)/_static/robots.txt $(WWW_DIR)/
	cp -r build/src/lists $(WWW_DIR)/
	cp -r sphinx/survey/2011/figures/* $(WWW_DIR)/_images/
	@echo "I: extracting header/trailer to be reused in non-sphinx pages"
	sed -ne '1,/<!-- HEADNOTES -->/p' $(WWW_DIR)/index.html >| $(WWW_DIR)/_static/index-header.ihtml
	sed -ne '/<h2>Comments<\/h2>/,$$p' $(WWW_DIR)/index.html >| $(WWW_DIR)/_static/index-trailer.ihtml

clean:
	-rm html-stamp source-stamp upload-website-stamp
	$(MAKE) -C artwork clean


distclean: clean
	-rm -rf build


source: source-stamp
source-stamp:
	mkdir -p build/src/pkgs/
	mkdir -p build/src/lists/
	mkdir -p build/src/_static/
	mkdir -p build/src/pkglists/
	$(BIGMESS) mkpkgs  -d build/src/pkgs/
	$(BIGMESS) mkaptcfgs -d build/src/lists/
	$(BIGMESS) mkmirrorsstat -d build/src
	$(BIGMESS) mkrepocfg > build/src/sources_lists
	$(BIGMESS) mkpkgtocs -d build/src/pkglists > build/src/pkgs.rst
	cp 3rd/nvd3/*.min.js build/src/_static/
	cp 3rd/nvd3/lib/d3*.min.js build/src/_static/
	cp 3rd/nvd3/src/nv*.css build/src/_static/
	touch $@

cachefiles:
	$(BIGMESS) cachefiles -f

updatedb: cachefiles
	$(BIGMESS) updatedb
	-rm source-stamp

upload-website: html
	rsync -rvzlhp --delete \
        --exclude=debian --exclude=debian-local --exclude=debian-devel --exclude=debian-custom --exclude=_files \
        --chmod=Dg+s,g+rw $(WWW_DIR) $(WWW_UPLOAD_URI)
	rsync -rvzlhp --chmod=Dg+s,g+rw tools/neurodebian-*.sh $(WWW_UPLOAD_URI)/_files/
	: # Touch stamp here so we get it updated on every upload
	touch $@-stamp

# call upload if .git/index was modified, i.e. new changes got pulled in
upload-website-stamp: .git/index
	$(MAKE) upload-website

mirmon:
	# update and generate mirrors report
	[ -x /usr/bin/mirmon ] && mirmon -q -get update -c mirmon-neurodebian.conf 2>&1 \
        | grep -v 'date: invalid date.*DOCTYPE' || :
	# [ -x $(WWW_UPLOAD_URI_STATIC)/mirrors-check.ihtml ] &&
	# everything must be in place!
	cat $(WWW_UPLOAD_URI_STATIC)/{index-header,mirrors-status,index-trailer}.ihtml \
	 >| $(WWW_UPLOAD_URI)/mirrors-status.html

.PHONY: removedb removecache cachefiles updatedb upload-website clean distclean pics html mirmon

=== debian/changelog ===
neurodebian (0.43.0) unstable; urgency=medium

  * CI improvements:
    - Refactored and improved GitHub Actions CI workflows with better
      separation of tests for nd-configurerepo and nd_freeze
    - Added neurodebian-ci-setup.sh helper script for CI environments
    - Added support for testing on both ubuntu-latest and ubuntu-22.04
    - Fixed apt-get install scripts to include -y flag for non-interactive
      operation
  * neurodebian-archive-keyring:
    - Updated neuro.debian.net.asc to contain both archive keys
    - Fixed key installation procedures to work with modern APT/GPG
      (Closes: https://github.com/neurodebian/neurodebian/issues/91)
  * Added support for new Ubuntu release (Plucky Puffin 25.04)
  * Website improvements:
    - Fixed jQuery installation and loading in website templates
    - Installed all neurodebian-*sh helper scripts to website
  * debian/control:
    - Bumped Standards-Version to 4.7.0 (no changes required)
  * debian/rules:
    - Install helper scripts to website deployment

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 19 Nov 2025 14:23:43 -0500

=== debian/control ===
Source: neurodebian
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               help2man,
               inkscape,
               imagemagick,
               gpg,
               python3-html5lib,
               po-debconf,
Standards-Version: 4.7.0
Vcs-Browser: http://github.com/neurodebian/neurodebian
Vcs-Git: http://github.com/neurodebian/neurodebian
Homepage: http://neuro.debian.net

Package: neurodebian
Architecture: all
Depends: python3,
         wget,
         neurodebian-archive-keyring,
         ${misc:Depends}
Recommends: netselect
Suggests: neurodebian-desktop,
          neurodebian-popularity-contest
Description: neuroscience-oriented distribution - repository configuration
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package enables the NeuroDebian repository on top of a standard
 Debian or Ubuntu system.

Package: neurodebian-dev
Architecture: all
Depends: ${misc:Depends},
         devscripts,
         neurodebian-archive-keyring
Recommends: ${misc:Recommends},
            python3,
            zerofree,
            moreutils,
            time,
            debian-archive-keyring,
            apt-utils,
            cowbuilder,
            neurodebian-freeze
Suggests: virtualbox-ose,
          virtualbox-ose-fuse,
          singularity-container
Description: neuroscience-oriented distribution - development tools
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package provides sources and development tools used by
 NeuroDebian to provide backports for a range of Debian/Ubuntu
 releases.

Package: neurodebian-desktop
Architecture: all
Depends: ${misc:Depends},
         ssh-askpass-gnome | ssh-askpass,
         desktop-base,
         adwaita-icon-theme | gnome-icon-theme,
         neurodebian-popularity-contest
Recommends: reportbug-ng
Description: neuroscience-oriented distribution - desktop integration
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package provides NeuroDebian artwork (icons, background image)
 and a NeuroDebian menu featuring the most popular neuroscience tools,
 which will be automatically installed upon initial invocation.

Package: neurodebian-archive-keyring
Architecture: all
Depends: ${misc:Depends},
         gnupg2 | gnupg,
         dirmngr
Breaks: neurodebian-keyring (<< 0.34~)
Replaces: neurodebian-keyring (<< 0.34~)
Description: neuroscience-oriented distribution - GnuPG archive keys
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 The NeuroDebian project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: neurodebian-freeze
Architecture: all
Depends: ${misc:Depends}
Description: nd_freeze tool to freeze APT sources to use snapshots
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This minimalistic package provides nd_freeze script to be used in
 rich or minimalistic environments (such as Docker or Singularity 
 recipes) to freeze their APT sources.  Intended to assist making such
 images reproducible.

Package: neurodebian-popularity-contest
Architecture: all
Depends: ${misc:Depends},
         popularity-contest
Description: neuroscience-oriented distribution - popcon integration
 The NeuroDebian project integrates and maintains a variety of software
 projects within Debian that are useful for neuroscience (such as AFNI,
 FSL, PsychoPy, etc.) or generic computation (such as HTCondor,
 pandas, etc.).
 .
 This package is a complement to the generic popularity-contest
 package to enable anonymous submission of usage statistics to
 NeuroDebian in addition to the popcon submissions to the underlying
 distribution (either Debian or Ubuntu) popcon server.
 .
 Participating in popcon is important for the following reasons:
  * Popular packages receive more attention from developers; bugs are
    fixed faster and updates are provided quicker.
  * It ensures that support is not dropped for a previous release of
    Debian or Ubuntu while there are active users.
  * User statistics may be useful for upstream research software
    developers seeking funding for continued development.
 .
 This requires that popcon is activated for the underlying distribution
 (Debian or Ubuntu), which can be achieved by running
 "dpkg-reconfigure popularity-contest" as root.

## neurodebian 0.43.1

=== debian/changelog ===
neurodebian (0.43.1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain in Debian Med team
  * Secure URI in Homepage
  * No support of Debian squeeze and Ubuntu utopic and more thus
    Closes: #803268
  * Do not Depends: gnupg2 (transitional package) any more
    Closes: #1055403
  * Recommends: s/reportbug-ng/reportbug-gtk/
    Closes: #1115641
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation
    Closes: #1106023

 -- Andreas Tille <tille@debian.org>  Sun, 08 Feb 2026 17:58:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: neurodebian
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: science
-Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                inkscape,
                imagemagick,
                gpg,
                python3-html5lib,
                po-debconf,
-Standards-Version: 4.7.0
-Vcs-Browser: http://github.com/neurodebian/neurodebian
-Vcs-Git: http://github.com/neurodebian/neurodebian
-Homepage: http://neuro.debian.net
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/med-team/neurodebian
+Vcs-Git: https://salsa.debian.org/med-team/neurodebian.git
+Homepage: https://neuro.debian.net
 
 Package: neurodebian
 Architecture: all
@@ -68,7 +67,7 @@
          desktop-base,
          adwaita-icon-theme | gnome-icon-theme,
          neurodebian-popularity-contest
-Recommends: reportbug-ng
+Recommends: reportbug-gtk
 Description: neuroscience-oriented distribution - desktop integration
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -82,7 +81,7 @@
 Package: neurodebian-archive-keyring
 Architecture: all
 Depends: ${misc:Depends},
-         gnupg2 | gnupg,
+         gnupg,
          dirmngr
 Breaks: neurodebian-keyring (<< 0.34~)
 Replaces: neurodebian-keyring (<< 0.34~)
@@ -105,7 +104,7 @@
  pandas, etc.).
  .
  This minimalistic package provides nd_freeze script to be used in
- rich or minimalistic environments (such as Docker or Singularity 
+ rich or minimalistic environments (such as Docker or Singularity
  recipes) to freeze their APT sources.  Intended to assist making such
  images reproducible.

=== debian/rules ===
#!/usr/bin/make -f

ICONS_SIZE=32
INKSCAPE_VER=$(shell dpkg -l inkscape | awk '/^ii/{print $$3;}')
INKSCAPE_OUT_OPT=$(shell dpkg --compare-versions "$(INKSCAPE_VER)" lt "1.0~rc1"  && echo "-e" || echo "-o")

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	KEYRING_PKG = -Vdist:Recommends="ubuntu-keyring"
else
	SUBSTVARS = -Vdist:Depends="bar"
endif

# one ring to rule them all ...
%:
	dh $@

override_dh_gencontrol:
	if dpkg-vendor --derives-from Ubuntu; then \
		echo 'misc:Recommends=ubuntu-keyring' >> debian/neurodebian-dev.substvars; fi
	dh_gencontrol

override_dh_auto_configure:

override_dh_auto_build:
	# wallpaper
	mkdir -p build/wallpaper
	convert -layers merge artwork/wallpaper_hotbrain.xcf build/wallpaper/neurodebian.png
	# icons
	mkdir -p build/icons
	inkscape artwork/icon.svg -w $(ICONS_SIZE) -h $(ICONS_SIZE) \
		$(INKSCAPE_OUT_OPT) build/icons/neurodebian.png
	for d in electrophysiology psychophysics; do \
		inkscape artwork/$$d.svg -w $(ICONS_SIZE) -h $(ICONS_SIZE) \
			$(INKSCAPE_OUT_OPT) build/icons/neurodebian-$$d.png; done
	cp artwork/icon.svg build/icons/neurodebian.svg
	convert -geometry $(ICONS_SIZE)x$(ICONS_SIZE) artwork/mri.png build/icons/neurodebian-imaging.png
	# manpages
	mkdir -p build/man
	help2man -h '--verbose-help' --no-info tools/backport-dsc \
		-n "backport Debian source packages" > build/man/backport-dsc.1
	help2man --no-info tools/nd-autoinstall \
		-n "install (if necessary) and run an application" > build/man/nd-autoinstall.1
	help2man --no-info tools/nd-configurerepo \
		-n "configure APT to use NeuroDebian repository" > build/man/nd-configurerepo.1
	# export keyring as ascii for /etc
	gpg --no-default-keyring --keyring keys/neurodebian-archive-keyring.gpg --armor --export > keys/neurodebian-archive-keyring.asc
	# and it should be the same as our static copy!
	cp keys/neurodebian-archive-keyring.asc sphinx/_static/neuro.debian.net.asc

override_dh_auto_install:

override_dh_auto_test:

override_dh_install:
	dh_install
	# shipped in a dedicated neurodebian-freeze package
	rm -f  debian/neurodebian-dev/usr/bin/nd_freeze

override_dh_clean:
	debconf-updatepo
	dh_clean
	$(MAKE) -C artwork clean
	-rm -f keys/neurodebian-archive-keyring.asc
